diff --git a/assets/AssetManifest.bin b/assets/AssetManifest.bin
new file mode 100644
index 0000000..fee0c0c
--- /dev/null
+++ b/assets/AssetManifest.bin
@@ -0,0 +1 @@
+
"assets/fonts/Vazirmatn-FD-Bold.ttf
asset"assets/fonts/Vazirmatn-FD-Bold.ttf'assets/fonts/Vazirmatn-FD-ExtraBold.ttf
asset'assets/fonts/Vazirmatn-FD-ExtraBold.ttf$assets/fonts/Vazirmatn-FD-Medium.ttf
asset$assets/fonts/Vazirmatn-FD-Medium.ttf%assets/fonts/Vazirmatn-FD-Regular.ttf
asset%assets/fonts/Vazirmatn-FD-Regular.ttf&assets/fonts/Vazirmatn-FD-SemiBold.ttf
asset&assets/fonts/Vazirmatn-FD-SemiBold.ttfassets/images/.DS_Store
assetassets/images/.DS_Storeassets/images/avatar.webp
assetassets/images/avatar.webpassets/images/coach_avatar.webp
assetassets/images/coach_avatar.webpassets/images/logo.webp
assetassets/images/logo.webpassets/svgs/logo.svg
assetassets/svgs/logo.svg2packages/cupertino_icons/assets/CupertinoIcons.ttf
asset2packages/cupertino_icons/assets/CupertinoIcons.ttf
\ No newline at end of file
diff --git a/flutter_bootstrap.js b/flutter_bootstrap.js
index 681320c..369cefd 100644
--- a/flutter_bootstrap.js
+++ b/flutter_bootstrap.js
@@ -33,10 +33,10 @@ addEventListener("message", eventListener);
 if (!window._flutter) {
   window._flutter = {};
 }
-_flutter.buildConfig = {"engineRevision":"77e2e94772b6eb43759e34ed1ad7da4674e19cab","builds":[{"compileTarget":"dart2wasm","renderer":"skwasm","mainWasmPath":"main.dart.wasm","jsSupportRuntimePath":"main.dart.mjs"},{"compileTarget":"dart2js","renderer":"canvaskit","mainJsPath":"main.dart.js"}]};
+_flutter.buildConfig = {"engineRevision":"77e2e94772b6eb43759e34ed1ad7da4674e19cab","builds":[{"compileTarget":"dart2js","renderer":"canvaskit","mainJsPath":"main.dart.js"},{}]};
 
 _flutter.loader.load({
   serviceWorkerSettings: {
-    serviceWorkerVersion: "2816029904" /* Flutter's service worker is deprecated and will be removed in a future Flutter release. */
+    serviceWorkerVersion: "477074206" /* Flutter's service worker is deprecated and will be removed in a future Flutter release. */
   }
 });
diff --git a/flutter_service_worker.js b/flutter_service_worker.js
new file mode 100644
index 0000000..a11c19c
--- /dev/null
+++ b/flutter_service_worker.js
@@ -0,0 +1,31 @@
+'use strict';
+
+self.addEventListener('install', () => {
+  self.skipWaiting();
+});
+
+self.addEventListener('activate', (event) => {
+  event.waitUntil(
+    (async () => {
+      try {
+        await self.registration.unregister();
+      } catch (e) {
+        console.warn('Failed to unregister the service worker:', e);
+      }
+
+      try {
+        const clients = await self.clients.matchAll({
+          type: 'window',
+        });
+        // Reload clients to ensure they are not using the old service worker.
+        clients.forEach((client) => {
+          if (client.url && 'navigate' in client) {
+            client.navigate(client.url);
+          }
+        });
+      } catch (e) {
+        console.warn('Failed to navigate some service worker clients:', e);
+      }
+    })()
+  );
+});
